#!/usr/bin/env python

from setuptools import setup
import os
import re

DIRNAME = os.path.abspath(os.path.dirname(__file__))
rel = lambda *parts: os.path.abspath(os.path.join(DIRNAME, *parts))

MAIN = open(rel('arte7.py')).read()
VERSION = re.search("__version__ = '([^']+)'", MAIN).group(1)

def get_desc():
	s = MAIN
	s = s[s.find('"""') + 3:]
	s = s[:s.find('"""')]
	return s.split('\n\n', 2)


setup(
	name='arte7',
	version=VERSION,
	description=get_desc()[0],
	long_description=get_desc()[1],
	author='Tobias Bengfort',
	author_email='tobias.bengfort@gmx.net',
	url='https://gitlab.com/ximm/arte7',
	install_requires=[
		'aiohttp',
		'rediscache',
	],
	extras_require={
		'color': ['colorama'],
	},
	py_modules=['arte7'],
	license='GPLv3+',
	entry_points={'console_scripts': 'arte7=arte7:main'},
	classifiers=[
		'Development Status :: 3 - Alpha',
		'Environment :: Console',
		'Programming Language :: Python :: 3',
		'License :: OSI Approved :: GNU General Public License v3 or later '
			'(GPLv3+)',
		'Topic :: Internet',
		'Topic :: Multimedia :: Video',
	])
